Documentation Index
Fetch the complete documentation index at: https://wb-21fd5541-john-wbdocs-2044-rename-serverless-products.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
사용 가능한 모든 모델과 해당 IDs를 조회합니다. 모델을 동적으로 선택하거나 현재 사용 가능한 항목을 확인할 때 사용합니다.
import openai
client = openai.OpenAI(
base_url="https://api.inference.wandb.ai/v1",
api_key="<your-api-key>",
project="<your-team>/<your-project>" # 선택 사항이며, 사용 추적용
)
response = client.models.list()
for model in response.data:
print(model.id)
curl https://api.inference.wandb.ai/v1/models \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <your-api-key>" \
-H "OpenAI-Project: <your-team>/<your-project>"
API는 OpenAI와 호환되는 형식으로 응답을 반환합니다:
{
"object": "list",
"data": [
{
"id": "deepseek-ai/DeepSeek-V3.1",
"object": "model",
"created": 0,
"owned_by": "system",
"root": "deepseek-ai/DeepSeek-V3.1"
},
{
"id": "openai/gpt-oss-20b",
"object": "model",
"created": 0,
"owned_by": "system",
"root": "openai/gpt-oss-20b"
}
// ... 더 많은 모델
]
}